Community

MarkLogic 10 and Data Hub 5.0

Latest MarkLogic releases provide a smarter, simpler, and more secure way to integrate data.

Read Blog →

Company

Stay On Top Of Everything MarkLogic

Be the first to know! News, product information, and events delivered straight to your inbox.

Sign Me Up →

 
Knowledgebase:
MarkLogic and Java JDK Support
16 June 2020 10:33 AM

Introduction

Prior to the 9.0-9 release, MarkLogic currently provides support for the Oracle JDK 8.  However, Oracle have recently announced End of Public Updates of Java SE 8

What can we expect from MarkLogic?

MarkLogic will support OpenJDK 9, OpenJDK 10 and OpenJDK 11 starting with MarkLogic Server 9.0-9 and associated products.

These products include:

From the 9.0-9 release onwards, we will no longer QA test our products with Oracle JDK.

We will support Amazon Corretto JDK as part of our Amazon offerings.  Corretto meets the Java SE standard and certified compliant by AWS using the Java Technical Compatibility Kit.

The latest version of MarkLogic Server is available to download from:

http://developer.marklogic.com/products

JDK Requirements for Data Hub Framework (DHF) Users

Requirements are discussed in further detail in the DHF documentation, however it's important to note that versions of DHF prior to the 5.2 release require Java 8.

(1 vote(s))
Helpful
Not helpful

Comments (0)